{{ $appSection := "output-gateway-v2" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
{{- if lt (index .Values $appSection "minReplicas") (index .Values $appSection "maxReplicas") -}}
apiVersion: autoscaling/v2
kind: HorizontalPodAutoscaler
metadata:
  name: {{ $appName }}
spec:
  minReplicas: {{ index .Values $appSection "minReplicas" }}
  maxReplicas: {{ index .Values $appSection "maxReplicas" }}
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: {{ $appName }}
  metrics:
  - type: Resource
    resource:
      name: cpu
      target:
        type: Utilization
        averageUtilization: {{ .Values.global.targetCPUUtilizationPercent }}
{{- end }}
{{- end }}
